SAWGRASS SG500 PRINTER & INSTALL KIT SUBLIJET UHD INK

SAWGRASS SG500 PRINTER & INSTALL KIT SUBLIJET UHD INK

Regular price $799.00
Regular price $799.00 Sale price $799.00

Sawgrass SG500 Printer & Install Kit Sublijet UHD INK

The Perfect Start to Personalization. Includes 20mL Ink Cartridges. Perfect for drinkware, coasters, and small items. The SG500 has the ability to create stunning, high-definition images on a range of substrates. The SG500 can be equipped with our adjustable tray to expand your printing possibilities. The SG500 is the perfect solution for businesses and individuals looking to print on small to mid-sized items.

Replacement Ink Cartridges can be found here. 

SG500 Specifications:

  • Maximum Media Size: 8.5" x 14"
  • Resolutions and Full-Page Print Speeds:

    • High Speed (600x600 dpi) - 15 seconds
    • High Quality (600x600 dpi) - 29 seconds
    • Advanced Photo (1200x600 dpi) - 48 seconds
    • Ultra Fine Photo (4800x1200 dpi ) - 6 minutes 40 seconds
  • Physical Dimensions: 15.75˝ x 17.25˝ x 8.5˝

Print Controller Specifications:

  • Memory: 128 MB RAM Standard/Maximum
  • Standard Interfaces: USB 1.1/2.0, Ethernet 10/100Base-TX
  • Network Protocols: TCP/IP
  • Supported Environments: Windows 8, 8.1, 10; Mac OS 10.13 or Later

System Requirements to Run Sawgrass Print Manager

  • Windows Operating System (a 64-bit operating system is required)
    • Recommended: Windows 10
    • Minimum Required: Windows 7
  • Apple OSX / MacOS Operating System (a 64-bit operating system is required)
    • MacOS 10.13 and later
    • Compatibility with the Apple M1 ARM processor requires Sawgrass Print Manager version 10.0.0 and Rosetta 2.*
  • Minimum RAM: 4GB
  • Recommended RAM: 8GB Minimum
  • Minimum CPU: Dual Core
  • Recommended CPU: Quad Core or greater
  • Minimum Free HDD Space: 10% Free
  • Minimum Screen Resolution: 1024*768 pixels at 100% zoom


Note: Only Windows Professional, Business, Enterprise, and Ultimate Editions have been tested and approved. Only compatible with Intel systems running Macintosh OS 10.13 or later, current with the absolute latest Apple software updates.

View full details